从指定项目中删除一个数据库用户。要使用此资源,请求的服务帐户或 API 密钥必须具有“项目所有者”角色、“项目流处理所有者”角色或“项目数据库访问管理员”角色。
路径参数
-
用于标识项目的唯一 24-十六进制数字字符串。 使用 /groups 端点检索身份验证的用户有权访问权限的所有项目。
注意:群组和项目是同义词。您的群组 ID 与项目 ID 相同。对于现有群组,群组/项目 ID 保持不变。资源和相应的端点使用“群组”一词。
格式应符合以下模式:
^([a-f0-9]{24})$。 -
数据库用户进行身份验证所依据的数据库。 数据库用户必须提供用户名和身份验证数据库才能登录 MongoDB。 如果用户使用Amazon Web Services IAM、x.509、 LDAP或 OIDC 工作负载进行身份验证,此值应为
$external。 如果用户使用 SCRAM-SHA 或 OIDC Workforce 进行身份验证,则此值应为admin。 -
人类可读标签,表示向 MongoDB 进行身份验证的用户。此标签的格式取决于身份验证方法:
身份验证方法 所需参数 参数值 用户名格式 AWS IAM awsIAMTypeROLEARN AWS IAM awsIAMTypeUSERARN x.509 x509TypeCUSTOMERRFC2253 标识名 x.509 x509TypeMANAGEDRFC2253 标识名 LDAP ldapAuthTypeUSERRFC2253 标识名 LDAP ldapAuthTypeGROUPRFC2253 标识名 OIDC 员工队伍 oidcAuthTypeIDP_GROUPAtlas OIDC IdP ID(在联合设置中找到),后跟“/”,然后是 IdP 组名称 OIDC 工作负载 oidcAuthTypeUSERAtlas OIDC IdP ID(在联合设置中找到),后跟“/”,然后是 IdP 用户名 SCRAM-SHA awsIAMType,x509Type,ldapAuthType,oidcAuthTypeNONE字母数字字符串
查询参数
-
指示应用程序是否将响应包装在
envelopeJSON 对象中的标志。某些 API 客户端无法访问 HTTP 响应标头或状态代码。要修复此问题,请在查询中设置 Envelope=true。返回结果列表的端点将结果对象用作 envelope。应用程序将状态参数添加到响应正文中。默认值为
false。 -
指示响应正文是否应采用 prettyprint 格式的标记。
默认值为
false。Prettyprint
DELETE /API/Atlas/v1.0/groups/{groupId}/databaseUsers/{databaseName}/{用户名}
curl \
--request DELETE 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/databaseUsers/{databaseName}/SCRAM-SHA: dylan or AWS IAM: arn:aws:iam::123456789012:user/sales/enterprise/DylanBloggs or x.509/LDAP: CN=Dylan Bloggs,OU=Enterprise,OU=Sales,DC=Example,DC=COM or OIDC: IdPIdentifier/IdPGroupName' \
--header "Authorization: Bearer $ACCESS_TOKEN"
响应示例 (401)
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
响应示例 (403)
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
响应示例 (404)
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
响应示例 (500)
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}